gdjs.MainMenuCode = {};
gdjs.MainMenuCode.GDLogoObjects1= [];
gdjs.MainMenuCode.GDLogoObjects2= [];
gdjs.MainMenuCode.GDtxtPlayObjects1= [];
gdjs.MainMenuCode.GDtxtPlayObjects2= [];
gdjs.MainMenuCode.GDtxtSettingsObjects1= [];
gdjs.MainMenuCode.GDtxtSettingsObjects2= [];
gdjs.MainMenuCode.GDtxtHelpObjects1= [];
gdjs.MainMenuCode.GDtxtHelpObjects2= [];
gdjs.MainMenuCode.GDtxtExitObjects1= [];
gdjs.MainMenuCode.GDtxtExitObjects2= [];
gdjs.MainMenuCode.GDtxtVersionObjects1= [];
gdjs.MainMenuCode.GDtxtVersionObjects2= [];
gdjs.MainMenuCode.GDtxtMusicObjects1= [];
gdjs.MainMenuCode.GDtxtMusicObjects2= [];
gdjs.MainMenuCode.GDtxtAuthorObjects1= [];
gdjs.MainMenuCode.GDtxtAuthorObjects2= [];
gdjs.MainMenuCode.GDMainMenuEffectsObjects1= [];
gdjs.MainMenuCode.GDMainMenuEffectsObjects2= [];
gdjs.MainMenuCode.GDMMExitDecorObjects1= [];
gdjs.MainMenuCode.GDMMExitDecorObjects2= [];
gdjs.MainMenuCode.GDMMHelpDecorObjects1= [];
gdjs.MainMenuCode.GDMMHelpDecorObjects2= [];
gdjs.MainMenuCode.GDMMSettingsDecorObjects1= [];
gdjs.MainMenuCode.GDMMSettingsDecorObjects2= [];
gdjs.MainMenuCode.GDMMPlayDecorObjects1= [];
gdjs.MainMenuCode.GDMMPlayDecorObjects2= [];
gdjs.MainMenuCode.GDFadeScreenObjects1= [];
gdjs.MainMenuCode.GDFadeScreenObjects2= [];

gdjs.MainMenuCode.conditionTrue_0 = {val:false};
gdjs.MainMenuCode.condition0IsTrue_0 = {val:false};
gdjs.MainMenuCode.condition1IsTrue_0 = {val:false};
gdjs.MainMenuCode.condition2IsTrue_0 = {val:false};
gdjs.MainMenuCode.conditionTrue_1 = {val:false};
gdjs.MainMenuCode.condition0IsTrue_1 = {val:false};
gdjs.MainMenuCode.condition1IsTrue_1 = {val:false};
gdjs.MainMenuCode.condition2IsTrue_1 = {val:false};


gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtPlayObjects1Objects = Hashtable.newFrom({"txtPlay": gdjs.MainMenuCode.GDtxtPlayObjects1});gdjs.MainMenuCode.eventsList0 = function(runtimeScene) {

{


gdjs.MainMenuCode.condition0IsTrue_0.val = false;
{
{gdjs.MainMenuCode.conditionTrue_1 = gdjs.MainMenuCode.condition0IsTrue_0;
gdjs.MainMenuCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(21459612);
}
}if (gdjs.MainMenuCode.condition0IsTrue_0.val) {
{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_hover.wav", 2, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


};gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtPlayObjects1Objects = Hashtable.newFrom({"txtPlay": gdjs.MainMenuCode.GDtxtPlayObjects1});gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtSettingsObjects1Objects = Hashtable.newFrom({"txtSettings": gdjs.MainMenuCode.GDtxtSettingsObjects1});gdjs.MainMenuCode.eventsList1 = function(runtimeScene) {

{


gdjs.MainMenuCode.condition0IsTrue_0.val = false;
{
{gdjs.MainMenuCode.conditionTrue_1 = gdjs.MainMenuCode.condition0IsTrue_0;
gdjs.MainMenuCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(21462828);
}
}if (gdjs.MainMenuCode.condition0IsTrue_0.val) {
{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_hover.wav", 2, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


};gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtSettingsObjects1Objects = Hashtable.newFrom({"txtSettings": gdjs.MainMenuCode.GDtxtSettingsObjects1});gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtHelpObjects1Objects = Hashtable.newFrom({"txtHelp": gdjs.MainMenuCode.GDtxtHelpObjects1});gdjs.MainMenuCode.eventsList2 = function(runtimeScene) {

{


gdjs.MainMenuCode.condition0IsTrue_0.val = false;
{
{gdjs.MainMenuCode.conditionTrue_1 = gdjs.MainMenuCode.condition0IsTrue_0;
gdjs.MainMenuCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(21465940);
}
}if (gdjs.MainMenuCode.condition0IsTrue_0.val) {
{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_hover.wav", 2, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


};gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtHelpObjects1Objects = Hashtable.newFrom({"txtHelp": gdjs.MainMenuCode.GDtxtHelpObjects1});gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtExitObjects1Objects = Hashtable.newFrom({"txtExit": gdjs.MainMenuCode.GDtxtExitObjects1});gdjs.MainMenuCode.eventsList3 = function(runtimeScene) {

{


gdjs.MainMenuCode.condition0IsTrue_0.val = false;
{
{gdjs.MainMenuCode.conditionTrue_1 = gdjs.MainMenuCode.condition0IsTrue_0;
gdjs.MainMenuCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(21469012);
}
}if (gdjs.MainMenuCode.condition0IsTrue_0.val) {
{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_hover.wav", 2, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


};gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtExitObjects1Objects = Hashtable.newFrom({"txtExit": gdjs.MainMenuCode.GDtxtExitObjects1});gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtPlayObjects1Objects = Hashtable.newFrom({"txtPlay": gdjs.MainMenuCode.GDtxtPlayObjects1});gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtSettingsObjects1Objects = Hashtable.newFrom({"txtSettings": gdjs.MainMenuCode.GDtxtSettingsObjects1});gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtHelpObjects1Objects = Hashtable.newFrom({"txtHelp": gdjs.MainMenuCode.GDtxtHelpObjects1});gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtExitObjects1Objects = Hashtable.newFrom({"txtExit": gdjs.MainMenuCode.GDtxtExitObjects1});gdjs.MainMenuCode.eventsList4 = function(runtimeScene) {

{


gdjs.MainMenuCode.condition0IsTrue_0.val = false;
{
gdjs.MainMenuCode.condition0IsTrue_0.val = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
}if (gdjs.MainMenuCode.condition0IsTrue_0.val) {
gdjs.MainMenuCode.GDFadeScreenObjects1.createFrom(runtimeScene.getObjects("FadeScreen"));
gdjs.MainMenuCode.GDMMExitDecorObjects1.createFrom(runtimeScene.getObjects("MMExitDecor"));
gdjs.MainMenuCode.GDMMHelpDecorObjects1.createFrom(runtimeScene.getObjects("MMHelpDecor"));
gdjs.MainMenuCode.GDMMPlayDecorObjects1.createFrom(runtimeScene.getObjects("MMPlayDecor"));
gdjs.MainMenuCode.GDMMSettingsDecorObjects1.createFrom(runtimeScene.getObjects("MMSettingsDecor"));
{for(var i = 0, len = gdjs.MainMenuCode.GDMMPlayDecorObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDMMPlayDecorObjects1[i].setOpacity(0);
}
}{for(var i = 0, len = gdjs.MainMenuCode.GDMMSettingsDecorObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDMMSettingsDecorObjects1[i].setOpacity(0);
}
}{for(var i = 0, len = gdjs.MainMenuCode.GDMMHelpDecorObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDMMHelpDecorObjects1[i].setOpacity(0);
}
}{for(var i = 0, len = gdjs.MainMenuCode.GDMMExitDecorObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDMMExitDecorObjects1[i].setOpacity(0);
}
}{for(var i = 0, len = gdjs.MainMenuCode.GDFadeScreenObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDFadeScreenObjects1[i].setOpacity(0);
}
}{gdjs.evtTools.sound.playMusicOnChannel(runtimeScene, "music\\Snowy Days - Expectation.mp3", 1, true, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(1)), 1);
}}

}


{



}


{

gdjs.MainMenuCode.GDMMPlayDecorObjects1.createFrom(runtimeScene.getObjects("MMPlayDecor"));
gdjs.MainMenuCode.GDtxtPlayObjects1.createFrom(runtimeScene.getObjects("txtPlay"));

gdjs.MainMenuCode.condition0IsTrue_0.val = false;
gdjs.MainMenuCode.condition1IsTrue_0.val = false;
{
gdjs.MainMenuCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtPlayObjects1Objects, runtimeScene, true, false);
}if ( gdjs.MainMenuCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MainMenuCode.GDMMPlayDecorObjects1.length;i<l;++i) {
    if ( gdjs.MainMenuCode.GDMMPlayDecorObjects1[i].getOpacity() != 255 ) {
        gdjs.MainMenuCode.condition1IsTrue_0.val = true;
        gdjs.MainMenuCode.GDMMPlayDecorObjects1[k] = gdjs.MainMenuCode.GDMMPlayDecorObjects1[i];
        ++k;
    }
}
gdjs.MainMenuCode.GDMMPlayDecorObjects1.length = k;}}
if (gdjs.MainMenuCode.condition1IsTrue_0.val) {
/* Reuse gdjs.MainMenuCode.GDMMPlayDecorObjects1 */
/* Reuse gdjs.MainMenuCode.GDtxtPlayObjects1 */
{for(var i = 0, len = gdjs.MainMenuCode.GDMMPlayDecorObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDMMPlayDecorObjects1[i].setOpacity(gdjs.MainMenuCode.GDMMPlayDecorObjects1[i].getOpacity() + (20));
}
}{for(var i = 0, len = gdjs.MainMenuCode.GDtxtPlayObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDtxtPlayObjects1[i].setColor("255;255;255");
}
}
{ //Subevents
gdjs.MainMenuCode.eventsList0(runtimeScene);} //End of subevents
}

}


{

gdjs.MainMenuCode.GDMMPlayDecorObjects1.createFrom(runtimeScene.getObjects("MMPlayDecor"));
gdjs.MainMenuCode.GDtxtPlayObjects1.createFrom(runtimeScene.getObjects("txtPlay"));

gdjs.MainMenuCode.condition0IsTrue_0.val = false;
gdjs.MainMenuCode.condition1IsTrue_0.val = false;
{
gdjs.MainMenuCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtPlayObjects1Objects, runtimeScene, true, true);
}if ( gdjs.MainMenuCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MainMenuCode.GDMMPlayDecorObjects1.length;i<l;++i) {
    if ( gdjs.MainMenuCode.GDMMPlayDecorObjects1[i].getOpacity() != 0 ) {
        gdjs.MainMenuCode.condition1IsTrue_0.val = true;
        gdjs.MainMenuCode.GDMMPlayDecorObjects1[k] = gdjs.MainMenuCode.GDMMPlayDecorObjects1[i];
        ++k;
    }
}
gdjs.MainMenuCode.GDMMPlayDecorObjects1.length = k;}}
if (gdjs.MainMenuCode.condition1IsTrue_0.val) {
/* Reuse gdjs.MainMenuCode.GDMMPlayDecorObjects1 */
/* Reuse gdjs.MainMenuCode.GDtxtPlayObjects1 */
{for(var i = 0, len = gdjs.MainMenuCode.GDMMPlayDecorObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDMMPlayDecorObjects1[i].setOpacity(gdjs.MainMenuCode.GDMMPlayDecorObjects1[i].getOpacity() - (20));
}
}{for(var i = 0, len = gdjs.MainMenuCode.GDtxtPlayObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDtxtPlayObjects1[i].setColor("0;0;0");
}
}}

}


{

gdjs.MainMenuCode.GDMMSettingsDecorObjects1.createFrom(runtimeScene.getObjects("MMSettingsDecor"));
gdjs.MainMenuCode.GDtxtSettingsObjects1.createFrom(runtimeScene.getObjects("txtSettings"));

gdjs.MainMenuCode.condition0IsTrue_0.val = false;
gdjs.MainMenuCode.condition1IsTrue_0.val = false;
{
gdjs.MainMenuCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtSettingsObjects1Objects, runtimeScene, true, false);
}if ( gdjs.MainMenuCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MainMenuCode.GDMMSettingsDecorObjects1.length;i<l;++i) {
    if ( gdjs.MainMenuCode.GDMMSettingsDecorObjects1[i].getOpacity() != 255 ) {
        gdjs.MainMenuCode.condition1IsTrue_0.val = true;
        gdjs.MainMenuCode.GDMMSettingsDecorObjects1[k] = gdjs.MainMenuCode.GDMMSettingsDecorObjects1[i];
        ++k;
    }
}
gdjs.MainMenuCode.GDMMSettingsDecorObjects1.length = k;}}
if (gdjs.MainMenuCode.condition1IsTrue_0.val) {
/* Reuse gdjs.MainMenuCode.GDMMSettingsDecorObjects1 */
/* Reuse gdjs.MainMenuCode.GDtxtSettingsObjects1 */
{for(var i = 0, len = gdjs.MainMenuCode.GDMMSettingsDecorObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDMMSettingsDecorObjects1[i].setOpacity(gdjs.MainMenuCode.GDMMSettingsDecorObjects1[i].getOpacity() + (20));
}
}{for(var i = 0, len = gdjs.MainMenuCode.GDtxtSettingsObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDtxtSettingsObjects1[i].setColor("255;255;255");
}
}
{ //Subevents
gdjs.MainMenuCode.eventsList1(runtimeScene);} //End of subevents
}

}


{

gdjs.MainMenuCode.GDMMSettingsDecorObjects1.createFrom(runtimeScene.getObjects("MMSettingsDecor"));
gdjs.MainMenuCode.GDtxtSettingsObjects1.createFrom(runtimeScene.getObjects("txtSettings"));

gdjs.MainMenuCode.condition0IsTrue_0.val = false;
gdjs.MainMenuCode.condition1IsTrue_0.val = false;
{
gdjs.MainMenuCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtSettingsObjects1Objects, runtimeScene, true, true);
}if ( gdjs.MainMenuCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MainMenuCode.GDMMSettingsDecorObjects1.length;i<l;++i) {
    if ( gdjs.MainMenuCode.GDMMSettingsDecorObjects1[i].getOpacity() != 0 ) {
        gdjs.MainMenuCode.condition1IsTrue_0.val = true;
        gdjs.MainMenuCode.GDMMSettingsDecorObjects1[k] = gdjs.MainMenuCode.GDMMSettingsDecorObjects1[i];
        ++k;
    }
}
gdjs.MainMenuCode.GDMMSettingsDecorObjects1.length = k;}}
if (gdjs.MainMenuCode.condition1IsTrue_0.val) {
/* Reuse gdjs.MainMenuCode.GDMMSettingsDecorObjects1 */
/* Reuse gdjs.MainMenuCode.GDtxtSettingsObjects1 */
{for(var i = 0, len = gdjs.MainMenuCode.GDMMSettingsDecorObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDMMSettingsDecorObjects1[i].setOpacity(gdjs.MainMenuCode.GDMMSettingsDecorObjects1[i].getOpacity() - (20));
}
}{for(var i = 0, len = gdjs.MainMenuCode.GDtxtSettingsObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDtxtSettingsObjects1[i].setColor("0;0;0");
}
}}

}


{

gdjs.MainMenuCode.GDMMHelpDecorObjects1.createFrom(runtimeScene.getObjects("MMHelpDecor"));
gdjs.MainMenuCode.GDtxtHelpObjects1.createFrom(runtimeScene.getObjects("txtHelp"));

gdjs.MainMenuCode.condition0IsTrue_0.val = false;
gdjs.MainMenuCode.condition1IsTrue_0.val = false;
{
gdjs.MainMenuCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtHelpObjects1Objects, runtimeScene, true, false);
}if ( gdjs.MainMenuCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MainMenuCode.GDMMHelpDecorObjects1.length;i<l;++i) {
    if ( gdjs.MainMenuCode.GDMMHelpDecorObjects1[i].getOpacity() != 255 ) {
        gdjs.MainMenuCode.condition1IsTrue_0.val = true;
        gdjs.MainMenuCode.GDMMHelpDecorObjects1[k] = gdjs.MainMenuCode.GDMMHelpDecorObjects1[i];
        ++k;
    }
}
gdjs.MainMenuCode.GDMMHelpDecorObjects1.length = k;}}
if (gdjs.MainMenuCode.condition1IsTrue_0.val) {
/* Reuse gdjs.MainMenuCode.GDMMHelpDecorObjects1 */
/* Reuse gdjs.MainMenuCode.GDtxtHelpObjects1 */
{for(var i = 0, len = gdjs.MainMenuCode.GDMMHelpDecorObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDMMHelpDecorObjects1[i].setOpacity(gdjs.MainMenuCode.GDMMHelpDecorObjects1[i].getOpacity() + (20));
}
}{for(var i = 0, len = gdjs.MainMenuCode.GDtxtHelpObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDtxtHelpObjects1[i].setColor("255;255;255");
}
}
{ //Subevents
gdjs.MainMenuCode.eventsList2(runtimeScene);} //End of subevents
}

}


{

gdjs.MainMenuCode.GDMMHelpDecorObjects1.createFrom(runtimeScene.getObjects("MMHelpDecor"));
gdjs.MainMenuCode.GDtxtHelpObjects1.createFrom(runtimeScene.getObjects("txtHelp"));

gdjs.MainMenuCode.condition0IsTrue_0.val = false;
gdjs.MainMenuCode.condition1IsTrue_0.val = false;
{
gdjs.MainMenuCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtHelpObjects1Objects, runtimeScene, true, true);
}if ( gdjs.MainMenuCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MainMenuCode.GDMMHelpDecorObjects1.length;i<l;++i) {
    if ( gdjs.MainMenuCode.GDMMHelpDecorObjects1[i].getOpacity() != 0 ) {
        gdjs.MainMenuCode.condition1IsTrue_0.val = true;
        gdjs.MainMenuCode.GDMMHelpDecorObjects1[k] = gdjs.MainMenuCode.GDMMHelpDecorObjects1[i];
        ++k;
    }
}
gdjs.MainMenuCode.GDMMHelpDecorObjects1.length = k;}}
if (gdjs.MainMenuCode.condition1IsTrue_0.val) {
/* Reuse gdjs.MainMenuCode.GDMMHelpDecorObjects1 */
/* Reuse gdjs.MainMenuCode.GDtxtHelpObjects1 */
{for(var i = 0, len = gdjs.MainMenuCode.GDMMHelpDecorObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDMMHelpDecorObjects1[i].setOpacity(gdjs.MainMenuCode.GDMMHelpDecorObjects1[i].getOpacity() - (20));
}
}{for(var i = 0, len = gdjs.MainMenuCode.GDtxtHelpObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDtxtHelpObjects1[i].setColor("0;0;0");
}
}}

}


{

gdjs.MainMenuCode.GDMMExitDecorObjects1.createFrom(runtimeScene.getObjects("MMExitDecor"));
gdjs.MainMenuCode.GDtxtExitObjects1.createFrom(runtimeScene.getObjects("txtExit"));

gdjs.MainMenuCode.condition0IsTrue_0.val = false;
gdjs.MainMenuCode.condition1IsTrue_0.val = false;
{
gdjs.MainMenuCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtExitObjects1Objects, runtimeScene, true, false);
}if ( gdjs.MainMenuCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MainMenuCode.GDMMExitDecorObjects1.length;i<l;++i) {
    if ( gdjs.MainMenuCode.GDMMExitDecorObjects1[i].getOpacity() != 255 ) {
        gdjs.MainMenuCode.condition1IsTrue_0.val = true;
        gdjs.MainMenuCode.GDMMExitDecorObjects1[k] = gdjs.MainMenuCode.GDMMExitDecorObjects1[i];
        ++k;
    }
}
gdjs.MainMenuCode.GDMMExitDecorObjects1.length = k;}}
if (gdjs.MainMenuCode.condition1IsTrue_0.val) {
/* Reuse gdjs.MainMenuCode.GDMMExitDecorObjects1 */
/* Reuse gdjs.MainMenuCode.GDtxtExitObjects1 */
{for(var i = 0, len = gdjs.MainMenuCode.GDMMExitDecorObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDMMExitDecorObjects1[i].setOpacity(gdjs.MainMenuCode.GDMMExitDecorObjects1[i].getOpacity() + (20));
}
}{for(var i = 0, len = gdjs.MainMenuCode.GDtxtExitObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDtxtExitObjects1[i].setColor("255;255;255");
}
}
{ //Subevents
gdjs.MainMenuCode.eventsList3(runtimeScene);} //End of subevents
}

}


{

gdjs.MainMenuCode.GDMMExitDecorObjects1.createFrom(runtimeScene.getObjects("MMExitDecor"));
gdjs.MainMenuCode.GDtxtExitObjects1.createFrom(runtimeScene.getObjects("txtExit"));

gdjs.MainMenuCode.condition0IsTrue_0.val = false;
gdjs.MainMenuCode.condition1IsTrue_0.val = false;
{
gdjs.MainMenuCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtExitObjects1Objects, runtimeScene, true, true);
}if ( gdjs.MainMenuCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.MainMenuCode.GDMMExitDecorObjects1.length;i<l;++i) {
    if ( gdjs.MainMenuCode.GDMMExitDecorObjects1[i].getOpacity() != 0 ) {
        gdjs.MainMenuCode.condition1IsTrue_0.val = true;
        gdjs.MainMenuCode.GDMMExitDecorObjects1[k] = gdjs.MainMenuCode.GDMMExitDecorObjects1[i];
        ++k;
    }
}
gdjs.MainMenuCode.GDMMExitDecorObjects1.length = k;}}
if (gdjs.MainMenuCode.condition1IsTrue_0.val) {
/* Reuse gdjs.MainMenuCode.GDMMExitDecorObjects1 */
/* Reuse gdjs.MainMenuCode.GDtxtExitObjects1 */
{for(var i = 0, len = gdjs.MainMenuCode.GDMMExitDecorObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDMMExitDecorObjects1[i].setOpacity(gdjs.MainMenuCode.GDMMExitDecorObjects1[i].getOpacity() - (20));
}
}{for(var i = 0, len = gdjs.MainMenuCode.GDtxtExitObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDtxtExitObjects1[i].setColor("0;0;0");
}
}}

}


{



}


{

gdjs.MainMenuCode.GDtxtPlayObjects1.createFrom(runtimeScene.getObjects("txtPlay"));

gdjs.MainMenuCode.condition0IsTrue_0.val = false;
{
gdjs.MainMenuCode.condition0IsTrue_0.val = gdjs.evtsExt__TestExtensions__LeftClickOnAnObjectCheck.func(runtimeScene, gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtPlayObjects1Objects, (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined));
}if (gdjs.MainMenuCode.condition0IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "Game");
}{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_click.wav", 3, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


{

gdjs.MainMenuCode.GDtxtSettingsObjects1.createFrom(runtimeScene.getObjects("txtSettings"));

gdjs.MainMenuCode.condition0IsTrue_0.val = false;
{
gdjs.MainMenuCode.condition0IsTrue_0.val = gdjs.evtsExt__TestExtensions__LeftClickOnAnObjectCheck.func(runtimeScene, gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtSettingsObjects1Objects, (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined));
}if (gdjs.MainMenuCode.condition0IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "Settings");
}{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_click.wav", 3, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


{

gdjs.MainMenuCode.GDtxtHelpObjects1.createFrom(runtimeScene.getObjects("txtHelp"));

gdjs.MainMenuCode.condition0IsTrue_0.val = false;
{
gdjs.MainMenuCode.condition0IsTrue_0.val = gdjs.evtsExt__TestExtensions__LeftClickOnAnObjectCheck.func(runtimeScene, gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtHelpObjects1Objects, (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined));
}if (gdjs.MainMenuCode.condition0IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "Help");
}{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_click.wav", 3, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


{

gdjs.MainMenuCode.GDtxtExitObjects1.createFrom(runtimeScene.getObjects("txtExit"));

gdjs.MainMenuCode.condition0IsTrue_0.val = false;
{
gdjs.MainMenuCode.condition0IsTrue_0.val = gdjs.evtsExt__TestExtensions__LeftClickOnAnObjectCheck.func(runtimeScene, gdjs.MainMenuCode.mapOfGDgdjs_46MainMenuCode_46GDtxtExitObjects1Objects, (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined));
}if (gdjs.MainMenuCode.condition0IsTrue_0.val) {
{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_click.wav", 3, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}{gdjs.evtTools.runtimeScene.stopGame(runtimeScene);
}}

}


{


{
gdjs.MainMenuCode.GDLogoObjects1.createFrom(runtimeScene.getObjects("Logo"));
{for(var i = 0, len = gdjs.MainMenuCode.GDLogoObjects1.length ;i < len;++i) {
    gdjs.MainMenuCode.GDLogoObjects1[i].rotate(6, runtimeScene);
}
}}

}


};

gdjs.MainMenuCode.func = function(runtimeScene) {
runtimeScene.getOnceTriggers().startNewFrame();

gdjs.MainMenuCode.GDLogoObjects1.length = 0;
gdjs.MainMenuCode.GDLogoObjects2.length = 0;
gdjs.MainMenuCode.GDtxtPlayObjects1.length = 0;
gdjs.MainMenuCode.GDtxtPlayObjects2.length = 0;
gdjs.MainMenuCode.GDtxtSettingsObjects1.length = 0;
gdjs.MainMenuCode.GDtxtSettingsObjects2.length = 0;
gdjs.MainMenuCode.GDtxtHelpObjects1.length = 0;
gdjs.MainMenuCode.GDtxtHelpObjects2.length = 0;
gdjs.MainMenuCode.GDtxtExitObjects1.length = 0;
gdjs.MainMenuCode.GDtxtExitObjects2.length = 0;
gdjs.MainMenuCode.GDtxtVersionObjects1.length = 0;
gdjs.MainMenuCode.GDtxtVersionObjects2.length = 0;
gdjs.MainMenuCode.GDtxtMusicObjects1.length = 0;
gdjs.MainMenuCode.GDtxtMusicObjects2.length = 0;
gdjs.MainMenuCode.GDtxtAuthorObjects1.length = 0;
gdjs.MainMenuCode.GDtxtAuthorObjects2.length = 0;
gdjs.MainMenuCode.GDMainMenuEffectsObjects1.length = 0;
gdjs.MainMenuCode.GDMainMenuEffectsObjects2.length = 0;
gdjs.MainMenuCode.GDMMExitDecorObjects1.length = 0;
gdjs.MainMenuCode.GDMMExitDecorObjects2.length = 0;
gdjs.MainMenuCode.GDMMHelpDecorObjects1.length = 0;
gdjs.MainMenuCode.GDMMHelpDecorObjects2.length = 0;
gdjs.MainMenuCode.GDMMSettingsDecorObjects1.length = 0;
gdjs.MainMenuCode.GDMMSettingsDecorObjects2.length = 0;
gdjs.MainMenuCode.GDMMPlayDecorObjects1.length = 0;
gdjs.MainMenuCode.GDMMPlayDecorObjects2.length = 0;
gdjs.MainMenuCode.GDFadeScreenObjects1.length = 0;
gdjs.MainMenuCode.GDFadeScreenObjects2.length = 0;

gdjs.MainMenuCode.eventsList4(runtimeScene);
return;

}

gdjs['MainMenuCode'] = gdjs.MainMenuCode;
